<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta name="description" content="">
    <meta name="author" content="">
    <link rel="shortcut icon" href="{{url_for('static',filename='sync_icon.png')}}">
    <script type="text/javascript" src="{{url_for('static',filename='js/jquery-3.7.1.min.js')}}"></script>

    <title>AutoSync Homepage</title>
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.3/dist/css/bootstrap.min.css" rel="stylesheet"
          integrity="sha384-QWTKZyjpPEjISv5WaRU9OFeRpok6YctnYmDr5pNlyT2bRjXh0JMhjY6hW+ALEwIH" crossorigin="anonymous">
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.3.3/dist/js/bootstrap.bundle.min.js"
            integrity="sha384-YvpcrYf0tY3lHB60NNkmXc5s9fDVZLESaAA55NDzOxhy9GkcIdslK1eN7N6jIeHz"
            crossorigin="anonymous"></script>
    <script src="https://cdn.jsdelivr.net/npm/@popperjs/core@2.11.8/dist/umd/popper.min.js"
            integrity="sha384-I7E8VVD/ismYTF4hNIPjVp/Zjvgyol6VFvRkX/vR+Vc4jQkC+hVqc2pM8ODewa9r"
            crossorigin="anonymous"></script>
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.3.3/dist/js/bootstrap.min.js"
            integrity="sha384-0pUGZvbkm6XF6gxjEnlmuGrJXVbNuzT9qBBavbLwCsOGabYfZo0T0to5eqruptLy"
            crossorigin="anonymous"></script>


    <!-- Custom styles for this template -->
    <style type="text/css">
        /* Move down content because we have a fixed navbar that is 50px tall */
        body {
          padding-top: 50px;
          padding-bottom: 20px;
        }
    </style>
</head>

<body>
{% include "header.html" %}
<!-- Main jumbotron for a primary marketing message or call to action -->
<div class="jumbotron">
    <div class="container">
        <center><h1>Homepage</h1></center>
        <p>This tool helps to automate the process of onboarding and publishing pipelines to Eclipse Graphene platform.
            Currently, this tool supports three modes, as listed below.</p>
        <!--<p><a class="btn btn-primary btn-lg" role="button">Learn more &raquo;</a></p>-->
    </div>
</div>

<div class="container">
    <!-- Example row of columns -->
    <div class="row">
        <div class="col-md-4 card">
            <div class="card-body">
                <center><h2>TUTORIALS</h2></center>
                <div class=""
                "d-flex align-items-center">
                <p class="d-flex justify-content-center align-items-center">If you have just fresh set up a new Graphene
                    instance, this
                    mode can
                    upload a few hand-picked tutorial pipelines, to help you get started!</p>
                <center><p><a class="btn btn-primary" href="tutorials" role="button">View details &raquo;</a></p>
                </center>
            </div>
        </div>
    </div>
    <div class="col-md-4 card">
        <div class="card-body">
            <center><h2>DOWNLOAD</h2></center>
            <p>This mode provides you an interface to select multiple pipelines available on a source Graphene
                platform. Once you select the desired pipelines, they will be exported to a zip file.</p>
            <center><p><a class="btn btn-primary" href="export_solutions" role="button">View details &raquo;</a></p>
            </center>
        </div>
    </div>
    <div class="col-md-4 card">
        <div class="card-body">
            <center><h2>UPLOAD</h2></center>
            <p>Have you already exported your choice of pipelines from a source Graphene instance? Use this mode, to
                onboard and publish the pipelines from a zip file.</p>
            <center><p><a class="btn btn-primary" href="import_solutions" role="button">View details &raquo;</a></p>
            </center>
        </div>
    </div>
</div>

{% include "modal.html" %}

{% include "footer.html" %}
</body>
</html>